Message: Geant4 10.01.p03 with QT 5.4.2 Segmentation Violation Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Geant4 10.01.p03 with QT 5.4.2 Segmentation Violation 

Forum: Installation and Configuration
Date: 15 Mar, 2016
From: Tim Niggemann <Tim Niggemann>

Hi,

I am running on Ubuntu 15.10 with QT 5.4.2. Geant4 compiles smoothly but when I invoke an example (e.g. B1), I get an segmentation violation from within the Qt5Widgets library caused by interfaces/basic/src/G4UIQt.cc:803:

fMainWindow->setVisible(true);

When I compile it against QT 4.8.6 (required some work on the CMakeLists.txt since the documented GEANT4_FORCE_QT4 switch does not exist anymore) everything works fine although it runs the same code.

 Add Message Add Message
to: "Geant4 10.01.p03 with QT 5.4.2 Segmentation Violation"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]